#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	Chemistry
%define		pnam	MolecularMass
%include	/usr/lib/rpm/macros.perl
Summary:	Chemistry::MolecularMass - calculating molecular mass of a chemical compound given its chemical formula
Summary(pl.UTF-8):	Chemistry::MolecularMass - obliczanie masy cząsteczkowej związków zadanych wzorem chemicznym
Name:		perl-Chemistry-MolecularMass
Version:	0.1
Release:	11
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d0d56e49920ca0f18237ef81ef946ca6
URL:		http://search.cpan.org/dist/Chemistry-MolecularMass/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Chemistry::MolecularMass is an Object Oriented Perl module for
calculating molecular mass of chemical compounds implemented with Perl
and C. Molecular masses of elements stored in the module follow
recommendations of IUPAC (1995). The module includes elements from
H(1) through Uuu(113) and isotopes of hydrogen: deuterium and tritium.

%description -l pl.UTF-8
Chemistry::MolecularMass to obiektowo zorientowany moduł Perla do
obliczania masy cząsteczkowej związków chemicznych zaimplementowany w
Perlu i C. Masy cząsteczkowe pierwiastków są zapisane w module zgodnie
z zaleceniami IUPAC (1995). Moduł zawiera pierwiastki od H(1) do
Uuu(113) oraz izotopy wodoru: deuter i tryt.

%prep
%setup -q -n %{pdir}/%{pnam}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Chemistry/MolecularMass.pm
%dir %{perl_vendorarch}/auto/Chemistry/MolecularMass
%attr(755,root,root) %{perl_vendorarch}/auto/Chemistry/MolecularMass/MolecularMass.so
%{_mandir}/man3/*
%changelog
* Sun Jun 11 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Chemistry-MolecularMass.git;a=log;h=master

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 0bc5973
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> bd39af4
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7e86989
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7c0c69a
- release 8 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> c89e70d
- x32 rebuild
- release 7 (by relup.sh)

* Tue Nov 25 2014 Elan Ruusamäe <glen@delfi.ee> c39f3ae
- use generic url

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 044eaa3
- release 6 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 286580e
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 3f8002f
- rebuild for perl 5.20
- release 5 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b4168f0
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 242b3ad
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6589482
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 7334a08
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1737121
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 122bce9
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5170847
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 5932153
- typo

* Mon Apr 19 2004 ankry <ankry@pld-linux.org> 42b7b3f
- license name unified

* Mon Apr 19 2004 Jakub Bogusz <qboosh@pld-linux.org> a7a753d
- pl, missing dir

* Mon Apr 19 2004 Maciej Pijanka <agaran@pld-linux.org> 8bb7eca
- new spec, nfy desc/pl

